Priestess Restina:
The "Lady of the Lake" is Eva, the mother of all Elves. Even before the Elven migration, the people of Innadril knew the goddess of water well. There was a time when Elves regarded Eva as unapproachable and sacred, and this is still true in most parts of the Elven Forest. But due to the influence of the indigenous religion of this area, Eva is a much more accessible and personal goddess to us.
Return